class exports.Scroller extends Layer

    constructor: (options = {}) ->
        super _.defaults options, {
            name: "Scroller"
            width: window.innerWidth
            height: window.innerHeight
            backgroundColor: null
            clip: true
        }

        @scroll = true
        @scrollHorizontal = false

        window.addEventListener "resize", =>
            @height = window.innerHeight
            @width = window.innerWidth

            console.log "resize: #{@height}, #{@width}"

            for child in @children
                child.handleScrollerResize?(@width, @height)